git-annex-lookupkey(1)

NAME
git-annex-lookupkey - looks up key used for file

SYNOPSIS
git annex lookupkey [file ...]

DESCRIPTION
This plumbing-level command looks up the key used for a file in the index. The key is output to stdout. If there is no key (because the file is not present in the index, or is not a git-annex managed file), nothing is output, and it exits nonzero.

OPTIONS

--batch

    Enable batch mode, in which a line containing the filename is read from stdin, the key is output to stdout (with a trailing newline), and repeat.

    Note that if there is no key corresponding to the file, an empty line is output to stdout instead.

-z  Makes the --batch input be delimited by nulls instead of the usual newlines.

Also the git-annex-common-options(1) can be used.

SEE ALSO
git-annex(1)

AUTHOR
Joey Hess <id@joeyh.name>